
%define major		5
%define libname		%mklibname audcore %{major}
%define majortag	3
%define libtag		%mklibname audtag %{majortag}
%define majorqt		2
%define libqt		%mklibname audqt %{majorqt}

Name:		audacious
Version:	3.10
Release:	%mkrel 1
Summary:	A versatile and handy media player
Summary(de):	Ein vielseitiger und handlicher Mediaplayer
License:	BSD
Group:		Sound
Url:		http://audacious-media-player.org/
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{defaultbuildroot}
BuildRequires:	desktop-file-utils
BuildRequires:  libpthread-stubs
BuildRequires: libatk1.0-devel
BuildRequires: libcairo-devel
BuildRequires: libgdk_pixbuf2.0_0-devel
BuildRequires: libglib2.0-devel 
BuildRequires: libgtk+2.0_0-devel
BuildRequires: libmono-devel
BuildRequires: libpango1.0-devel
BuildRequires: libqt5core-devel
BuildRequires: libqt5gui-devel
BuildRequires: libqt5widgets-devel


%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

%description -l de
Audacious ist ein Mediaplayer der auf dem BMP Musikplayer basiert.
Seine Hauptziele sind Benutzerfreundlichkeit und die Nutzung von aktuellen
Desktopstandards.

%package devel
Group:		Development/Libraries
Summary:	Development package for Audacious
Requires:	%{name} = %{version}-%{release}

%description devel
Development package for Audacious

%description devel -l de
Entwicklungspaket für Audacious

%prep
%setup -qn %{name}-%{version}

%build
%configure2_5x \
	--enable-qt  \
	--disable-rpath \
	--with-buildstamp="%{_vendor} %{distro_release} package"

%make_build

%install
%__rm -rf %{buildroot}
%makeinstall_std
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir %{buildroot}/%{_datadir}/applications %{name}.desktop
%find_lang %{name}

%post
echo -e '\n  This package also needs the audacious-plugins package to work properly.\n'

%clean
%__rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_bindir}/audtool
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/*
%{_mandir}/man1/*
%{_libdir}/libaudcore.so.%{major}*
%{_libdir}/libaudgui.so.%{major}*
%{_libdir}/libaudtag.so.%{majortag}*
%{_libdir}/libaudqt.so.%{majorqt}*

%files -n %{name}-devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_includedir}/libaudcore
%{_includedir}/libaudgui
%{_includedir}/libaudqt
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Sat Oct 06 2018 adrianomorselli <adrianomorselli> 3.10-1uplos2018
- update
